# MCP Server Best Practices

## 📌 Glue AI prompting tips for MCP

* Mention the name of the MCP server you want to take action with
* Use clear, very specific instructions
  * *e.g. "Update the status of Issue ID 12345 in Linear to 'In Progress'.”*
  * Note: You may need [ID numbers](#save-time-by-storing-default-ids-in-server-rules) in order to run specific tasks, which you can [store in the server's custom rules](https://docs.glue.ai/labs/mcp-servers#id-4-configure-rules-for-your-mcp-server-optional-but-recommended) for future requests.
* Break a complicated request into multiple parts
  * e.g. ask Glue AI first to fetch data, then ask it to take action on the data in a separate request
  * Avoid asking for multiple actions in a single prompt
* Specify the format you want the output to be in, such as a table or list — or better yet, save your preferences in AI Rules!

***

## Optimize your experience by configuring rules

### Save time by storing default IDs in server rules

When connecting a tool via an MCP server, you often need to provide IDs that identify where or how an action should happen — for example, which **project**, **board**, **database**, or **repository** to create something in. By saving these IDs in your [server's rules](/integrations/mcp-servers.md#configure-rules-for-your-mcp-server-for-the-best-experience), you can save yourself the step of manually providing IDs each time — Glue AI will do it for you.

**Here’s how to discover the necessary IDs:**

<details>

<summary><strong>Read the tool's MCP manifest or docs</strong></summary>

Most MCP-exposed tools will document their parameters. Look for:

* Required fields (e.g., `project_id`, `repo_name`, `board_id`)
* Default-able fields (i.e., things you can pre-fill with a rule)
* Example payloads

</details>

<details>

<summary>Use the tool in Glue to see what it asks for</summary>

Try manually triggering the tool from a thread. If Glue prompts you for a value, that’s a strong hint you can set it ahead of time.

> Example: If Glue AI ask *“Which Linear project ID should this go into?”*, that means you could write a rule that injects `"project_id": "proj_abc123"`.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.glue.ai/integrations/mcp-servers/mcp-server-best-practices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
